{* seznamClanku *}
{* filtrace *}
<section class="row border-bottom mb-0 py-2">
    <div class="col-12 col-xl-9 mb-lg-2 mb-xl-0">
        <div class="w-100 d-md-flex justify-content-between align-items-center mb-3 mb-lg-0">
            <div class="input-group mb-2 mb-md-0 me-2">
                <span class="input-group-text"><i class="fas fa-pen"></i></span>
                <input type="text" id="clanky-filter-nazev" class="form-control" placeholder="Název">
            </div>
            {if !$strankaId}
                <div class="input-group mb-2 mb-md-0 me-2">
                    <span class="input-group-text"><i class="fas fa-sticky-note"></i></span>
                    <select type="text" id="clanky-filter-stranka" class="form-select">
                        <option value="">Vyberte stránku</option>
                        {foreach $stranky as $stranka}
                            <option value="{$stranka->id}">{$stranka->nazev}</option>
                        {/foreach}
                    </select>
                </div>
            {/if}
            <div class="input-group mb-2 mb-md-0 me-2">
                <span class="input-group-text"><i class="fas fa-eye"></i></span>
                <select type="text" id="clanky-filter-aktivni" class="form-select">
                    <option value="">Vyberte možnost</option>
                    <option value="1">Aktivní</option>
                    <option value="0">Deaktivovaný</option>
                </select>
            </div>
            <button class="btn btn-outline-success me-2" onclick="seznamClankuFilter()">Filtrovat</button>
            <button class="btn btn-outline-secondary" onclick="seznamClankuFilterOff()">Reset</button>
        </div>
    </div>
    <div class="col-12 col-xl-3 d-flex justify-content-end">
        {control novyClanek}
    </div>
</section>
{*seznam*}
{snippet list}
    {*====== PAGINATOR ========*}
    {if (!empty($clanky))}
        <nav class="py-2">
            <ul class="pagination justify-content-center mb-0">
                {if $paginator->isFirst()}
                    <li class="page-item disabled">
                        <a class="page-link" href="#">
                            <i class="fa-solid fa-chevron-left"></i>
                        </a>
                    </li>
                {/if}
        {if !$paginator->isFirst()}
                    <li class="page-item">
                        <a class="page-link ajax" n:href="page! $page - 1, $filter">
                            <i class="fa-solid fa-chevron-left"></i>
                        </a>
                    </li>
                {/if}
        {for $i = $left; $i <= $right; $i++}
                    {if $i == $paginator->page}
                        <li class="page-item active"><span class="page-link">{$i}</span></li>
                    {else}
                        <li class="page-item"><a class="page-link ajax" n:href="page! $i ,$filter">{$i}</a></li>
                    {/if}
                {/for}
        {if !$paginator->isLast()}
                    <li class="page-item">
                        <a class="page-link ajax" n:href="page! $page + 1, $filter">
                            <i class="fa-solid fa-chevron-right"></i>
                        </a>
                    </li>
                {/if}
        {if $paginator->isLast()}
                    <li class="page-item disabled">
                        <a class="page-link" href="#">
                            <i class="fa-solid fa-chevron-right"></i>
                        </a>
                    </li>
                {/if}
            </ul>
        </nav>
    {/if}
    {*====== TABLE ========*}
    <section>
        <div class="table-responsive">
            <table class="table table-striped table-responsive">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Název</th>
                        <th scope="col">Stránka</th>
                        <th scope="col" class="text-center">Publikovaný</th>
                        <th scope="col" class="text-center">Aktivní</th>
                        <th scope="col">Aktualizováno</th>
                        <th scope="col"></th>
                    </tr>
                </thead>
                <tbody>
                {if (!empty($clanky))}
                    {foreach $clanky as $one}
                        <tr>
                            <td>{$one->id}</td>
                            <td>{$one->nazev}</td>
                            <td>
                                {$one->ref('stranky', 'stranky_id')->nazev}
                            </td>
                            <td class="text-center">
                                {if $one->publikovany}
                                    <i class="fa-solid fa-square-check text-success me-2"></i>
                                    {$one->public_at|date:('d.m.Y')}
                                {else}
                                    <i class="fa-solid fa-rectangle-xmark text-danger"></i>
                                {/if}
                            </td>
                            <td class="text-center">
                                {if $one->publikovany}
                                    {switch $one->active}
                                        {case 1}
                                        <a class="ajax" n:href="clanekActive! $one->id, $filter, $page">
                                            <i class="fas fa-eye text-success"></i>
                                        </a>
                                    {case 0}
                                        <a class="ajax" n:href="clanekActive! $one->id, $filter, $page">
                                            <i class="fas fa-eye-slash text-danger"></i>
                                        </a>
                                    {default}
                                        <i class="fas fa-question"></i> {$one->active}
                                    {/switch}
                                {else}
                                    <i class="fas fa-eye-slash text-danger"></i>
                                {/if}
                            </td>
                            <td>{$one->last_update |date:('d.m.Y')}</td>
                            <td class="text-end">
                                <a href="{plink :Admin:Obsah:Clanky:Edit:default $one->id, $strankaId}" class="text-primary">
                                    <i class="fa-solid fa-edit me-2"></i>Editovat
                                </a>
                            </td>
                        </tr>
                    {/foreach}
                {else}
                    <tr>
                        <td colspan="6" class="text-center">
                            Žádná data k zobrazení
                        </td>
                    </tr>
                {/if}
                </tbody>
            </table>
        </div>
    </section>
{/snippet}
<script>
    function seznamClankuFilter()
    {
        let nazev = $('#clanky-filter-nazev').val();
        let aktivni = $('#clanky-filter-aktivni').val();
        let stranka = $('#clanky-filter-stranka').val();

        let data = [];

        if(nazev != '')
        {
            data['nazev'] = nazev;
        }
        if(aktivni != '')
        {
            data['aktivni'] = aktivni;
        }
        if(stranka != '')
        {
            data['stranka'] = stranka;
        }

        naja.makeRequest('GET', {link filter} , { {$control->getParameterId('filter') }: data });
    }
    function seznamClankuFilterOff()
    {
        let data = [];

        $('#clanky-filter-nazev').val('');
        $('#clanky-filter-aktivni').val('');

        naja.makeRequest('GET', {link filter} , { {$control->getParameterId('filter') }: data });
    }
</script>